<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

// Create shortcuts to some parameters.
$params  = $this->item->params;
$images  = json_decode($this->item->images);
$urls    = json_decode($this->item->urls);
$canEdit = $params->get('access-edit');
$user    = JFactory::getUser();
$info    = $params->get('info_block_position', 0);

// Check if associations are implemented. If they are, define the parameter.
$assocParam = (JLanguageAssociations::isEnabled() && $params->get('show_associations'));

?>
<div class="item-page<?php echo $this->pageclass_sfx; ?>" itemscope itemtype="https://schema.org/Article">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<h1> <?php echo $this->escape($this->params->get('page_heading')); ?> </h1>
	<?php endif;
	if (!empty($this->item->pagination) && $this->item->pagination && !$this->item->paginationposition && $this->item->paginationrelative)
	{
		echo $this->item->pagination;
	}
	?>

	<?php // Todo Not that elegant would be nice to group the params ?>
	<?php $useDefList = ($params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_create_date')
	|| $params->get('show_hits') || $params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author') || $assocParam); ?>

	<?php if (!$useDefList && $this->print) : ?>
		<div id="pop-print" class="btn hidden-print">
			<?php echo JHtml::_('icon.print_screen', $this->item, $params); ?>
		</div>
		<div class="clearfix"> </div>
	<?php endif; ?>

	<?php if ($params->get('show_title') || $params->get('show_author')) : ?>
	<div class="page-header">
		<?php if ($params->get('show_title')) : ?>
			<h1>
				<?php echo $this->escape($this->item->title); ?>
			</h1>
		<?php endif; ?>
		<?php if ($this->item->state == 0) : ?>
			<span class="label label-warning"><?php echo JText::_('JUNPUBLISHED'); ?></span>
		<?php endif; ?>
		<?php if (strtotime($this->item->publish_up) > strtotime(JFactory::getDate())) : ?>
			<span class="label label-warning"><?php echo JText::_('JNOTPUBLISHEDYET'); ?></span>
		<?php endif; ?>
		<?php if ((strtotime($this->item->publish_down) < strtotime(JFactory::getDate())) && $this->item->publish_down != JFactory::getDbo()->getNullDate()) : ?>
			<span class="label label-warning"><?php echo JText::_('JEXPIRED'); ?></span>
		<?php endif; ?>
	</div>
	<?php endif; ?>

	<?php if (!$this->print) : ?>
		<?php if ($canEdit || $params->get('show_print_icon') || $params->get('show_email_icon')) : ?>
			<?php //echo JLayoutHelper::render('joomla.content.icons', array('params' => $params, 'item' => $this->item, 'print' => false)); ?>
		<?php endif; ?>
	<?php else : ?>
		<?php if ($useDefList) : ?>
			<div id="pop-print" class="btn hidden-print">
				<?php echo JHtml::_('icon.print_screen', $this->item, $params); ?>
			</div>
		<?php endif; ?>
	<?php endif; ?>

	<?php // Content is generated by content plugin event "onContentAfterTitle" ?>
	<?php echo $this->item->event->afterDisplayTitle; ?>

	<?php if ($useDefList && ($info == 0 || $info == 2)) : ?>
		<?php // Todo: for Joomla4 joomla.content.info_block.block can be changed to joomla.content.info_block ?>
		<?php echo JLayoutHelper::render('joomla.content.info_block.block', array('item' => $this->item, 'params' => $params, 'position' => 'above')); ?>
	<?php endif; ?>

	<?php // Content is generated by content plugin event "onContentBeforeDisplay" ?>
	<?php echo $this->item->event->beforeDisplayContent; ?>

	<?php if (isset($urls) && ((!empty($urls->urls_position) && ($urls->urls_position == '0')) || ($params->get('urls_position') == '0' && empty($urls->urls_position)))
		|| (empty($urls->urls_position) && (!$params->get('urls_position')))) : ?>
	<?php echo $this->loadTemplate('links'); ?>
	<?php endif; ?>
	<?php if ($params->get('access-view')) : ?>
	<?php echo JLayoutHelper::render('joomla.content.full_image', $this->item); ?>
	<?php
	if (!empty($this->item->pagination) && $this->item->pagination && !$this->item->paginationposition && !$this->item->paginationrelative) :
		echo $this->item->pagination;
	endif;
	?>
	<?php if (isset ($this->item->toc)) :
		echo $this->item->toc;
	endif; ?>
	<div itemprop="articleBody">

		<?php echo $this->item->text; ?>

		<? if(strpos(JUri::current(), JUri::base().'portfolio/kontekstnaya-reklama/') !== false || strpos(JUri::current(), JUri::base().'portfolio/razrabotka-saytov/') !== false || strpos(JUri::current(), JUri::base().'portfolio/marketing/') !== false || strpos(JUri::current(), JUri::base().'portfolio/targetirovannaya-reklama/') !== false || strpos(JUri::current(), JUri::base().'portfolio/audit-saita/') !== false || strpos(JUri::current(), JUri::base().'portfolio/konsultatsiya/') !== false || strpos(JUri::current(), JUri::base().'portfolio/upravlenie-reputatsiey/') !== false || strpos(JUri::current(), JUri::base().'portfolio/smm/') !== false): ?>
      <div class="case-offer">
				<div class="case-offer__title">Хотите также?</div>
				<form method="post" action="/index.php?option=com_rsform&view=rsform&formId=31" class="grid grid--padding-y grid--justify-center form form--case-offer validated-form submitJS" id="case-offer-form">
					<input type="text" name="req_name" value>
					<div class="grid__cell grid__cell--m-4 grid__cell--s-4 grid__cell--12 ">
						<label class="form__label--required form__label" for="form__name">Ваше имя?</label>
						<input class="form-input validated required regex" type="text" name="form[name]" placeholder="Имя" data-regex="[а-яё]" id="form__name">
						<div class="validation-msg validation-msg-required"></div>
						<div class="validation-msg validation-msg-regex">Должны быть русские буквы</div>
					</div>
					<div class="grid__cell grid__cell--m-4 grid__cell--s-4 grid__cell--12 ">
						<label class="form__label--required form__label" for="form__site">Сайт клиники</label>
						<input class="form-input rsform_phone validated required" type="text" name="form[site]" placeholder="Сайт" id="form__site">
						<div class="validation-msg validation-msg-required"></div>
					</div>
					<div class="grid__cell grid__cell--m-4 grid__cell--s-4 grid__cell--12 ">
						<label class="form__label--required form__label" for="form__tel">Ваш телефон</label>
						<input class="form-input rsform_phone validated required" type="tel" name="form[tel]" placeholder="Телефон" id="form__tel">
						<div class="validation-msg validation-msg-required"></div>
					</div>
					<div class="grid__cell grid__cell--m-4 grid__cell--s-6 grid__cell--12 form__submit">
						<button class="btn btn--primary" type="submit">Обсудить проект</button>
					</div><script>document.write('<input type="hidden" name="form[formId]" value="31"/>')</script>
					<div class="grid__cell grid__cell--12 ">
						<p class="text-marked text-marked--size--xs form__policy">Нажимая на&nbsp;кнопку &laquo;Обсудить проект&raquo;, вы&nbsp;даете согласие на&nbsp;<a href="/soglasheniya-na-obrabotku-personalnykh-dannykh">обработку персональных данных</a> и&nbsp;соглашаетесь c&nbsp;политикой конфиденциальности.
						</p>
					</div>
				</form>
			</div>
		<? endif ?>
        
	</div>

	<?php if ($info == 1 || $info == 2) : ?>
		<?php if ($useDefList) : ?>
				<?php // Todo: for Joomla4 joomla.content.info_block.block can be changed to joomla.content.info_block ?>
			<?php echo JLayoutHelper::render('joomla.content.info_block.block', array('item' => $this->item, 'params' => $params, 'position' => 'below')); ?>
		<?php endif; ?>
		<?php if ($params->get('show_tags', 1) && !empty($this->item->tags->itemTags)) : ?>
			<?php $this->item->tagLayout = new JLayoutFile('joomla.content.tags'); ?>
			<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
		<?php endif; ?>
	<?php endif; ?>

	<?php
	if (!empty($this->item->pagination) && $this->item->pagination && $this->item->paginationposition && !$this->item->paginationrelative) :
		echo $this->item->pagination;
	?>
	<?php endif; ?>
	<?php if (isset($urls) && ((!empty($urls->urls_position) && ($urls->urls_position == '1')) || ($params->get('urls_position') == '1'))) : ?>
	<?php echo $this->loadTemplate('links'); ?>
	<?php endif; ?>
	<?php // Optional teaser intro text for guests ?>
	<?php elseif ($params->get('show_noauth') == true && $user->get('guest')) : ?>
	<?php echo JLayoutHelper::render('joomla.content.intro_image', $this->item); ?>
	<?php echo JHtml::_('content.prepare', $this->item->introtext); ?>
	<?php // Optional link to let them register to see the whole article. ?>
	<?php if ($params->get('show_readmore') && $this->item->fulltext != null) : ?>
	<?php $menu = JFactory::getApplication()->getMenu(); ?>
	<?php $active = $menu->getActive(); ?>
	<?php $itemId = $active->id; ?>
	<?php $link = new JUri(JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId, false)); ?>
	<?php $link->setVar('return', base64_encode(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid, $this->item->language))); ?>
	<p class="readmore">
		<a href="<?php echo $link; ?>" class="register">
		<?php $attribs = json_decode($this->item->attribs); ?>
		<?php
		if ($attribs->alternative_readmore == null) :
			echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
		elseif ($readmore = $attribs->alternative_readmore) :
			echo $readmore;
			if ($params->get('show_readmore_title', 0) != 0) :
				echo JHtml::_('string.truncate', $this->item->title, $params->get('readmore_limit'));
			endif;
		elseif ($params->get('show_readmore_title', 0) == 0) :
			echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
		else :
			echo JText::_('COM_CONTENT_READ_MORE');
			echo JHtml::_('string.truncate', $this->item->title, $params->get('readmore_limit'));
		endif; ?>
		</a>
	</p>
	<?php endif; ?>


	<?php endif; ?>
	<?php
	if (!empty($this->item->pagination) && $this->item->pagination && $this->item->paginationposition && $this->item->paginationrelative) :
		echo $this->item->pagination;
	?>
	<?php endif; ?>

	<?php if ($info == 0 && $params->get('show_tags', 1) && !empty($this->item->tags->itemTags)) : ?>
		<?php $this->item->tagLayout = new JLayoutFile('joomla.content.tags'); ?>

		<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
	<?php endif; ?>

	<? if($this->pageclass_sfx == "-special"): ?>
	<div class="social-share">
		<div class="social-share-title">Поделиться статьей</div>
		<script async src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js"></script>
		<script async src="//yastatic.net/share2/share.js"></script>
		<div class="ya-share2" data-services="facebook,vkontakte,twitter"></div>
	</div>
	<? endif; ?>

	<?php // Content is generated by content plugin event "onContentAfterDisplay" ?>
	<?php echo $this->item->event->afterDisplayContent; ?>
</div>
